<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# go-dump

```text
usage: go-dump [-h] [-x] [-f [DECIMALS]] [-d] [-p] ty address

```

Dumps a Go value of a given type at a specified address.

**Alias:** god
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|ty|Go type of value to dump, e.g. map[int]string, or the address of a type to resolve at runtime, e.g. 0x408860|
|address|Address to dump|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|
|-x|--hex|Display non-pointer integers as hex|
|-f|--decimals|Configures the number of decimal places to display for floating points|
|-d|--debug|Shows debug info, like addresses for slice/map elements, slice capacity, etc.|
|-p|--pretty|Enables pretty printing|

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
